Skip to content
PATCH /unified/sso/apps/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

user_idstring

The unique identifier of the user the app is assigned to.

1 supported1 required
Torii
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

is_activestring

true if the user was removed from the application, false otherwise

1 supported1 required
Torii
required
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier of the application.

1 supported
Torii
supported
namestring
required·

The name of the application.

1 supported
Torii
supported
created_atstring · date-time

The date and time the application was created.

display_namestring

The display name of the application.

1 supported
Torii
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

sign_on_modestring

The sign on mode of the application.

statusstring

The status of the application. If no clear mapping is available, then the raw value is returned.

Possible values:
activeinactivearchiveddeleted
1 supported
Torii
supported
updated_atstring · date-time

The date and time the application was last updated.

curl -X PATCH 'https://api.truto.one/unified/sso/apps/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "is_active": "your_is_active",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "is_active": "your_is_active",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/sso/apps/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/sso/apps/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "is_active": "your_is_active",
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'sso',
  'apps',
  '<resource_id>',
  {
  "is_active": "your_is_active",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "sso",
        "apps",
        "<resource_id>",
        {
        "is_active": "your_is_active",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())